---
title: Upgrade Guide
---

# Upgrade Guide

<div class="documentation__toc"></div>

## Upgrading from 1.6 to 1.7

**Estimated Upgrade Time: 1 - 2 Minutes**

> We attempt to document every possible breaking change. Since some of these breaking changes are in obscure parts of the framework only a portion of these changes may actually affect your application.{.notice}

### Update Search Configuration

Update your configuration according to the following source files:

- [https://github.com/pyrocms/pyrocms/blob/3.7/config/logging.php](https://github.com/pyrocms/pyrocms/blob/3.7/config/logging.php)
- [https://github.com/pyrocms/pyrocms/blob/3.7/config/debugbar.php](https://github.com/pyrocms/pyrocms/blob/3.7/config/debugbar.php)
- [https://github.com/pyrocms/pyrocms/blob/3.7/config/httpcache.php](https://github.com/pyrocms/pyrocms/blob/3.7/config/httpcache.php)

### Disable Package Discovery for Laravel

Disable package discovery by appending your `composer.json` file: https://github.com/pyrocms/pyrocms/blob/3.7/composer.json#L127-L131

### Run Migrations

Migrate the core as well as all installed addons:

```bash
php artisan migrate --path=vendor/anomaly/streams-platform/migrations/application
php artisan migrate --all-addons
```

### Clean Up

It's a good idea to rebuild the system and freshen up caching and performance utilities:

```bash
php artisan build
php artisan refresh
```
