---
title: Forms
---

# Form Builders

<div class="documentation__toc"></div>

## Introduction

Form builders are responsible for all front-end and control panel forms. They let you easily create and update model objects.

Typically they are used in conjunction with `streams` but are versatile enough to accommodate API driven /non-model forms as well as fully manual assembly.

### Components

- [Fields](../ui/forms/components/fields)
- [Sections](../ui/forms/components/sections)
- [Actions](../ui/forms/components/actions)
- [Buttons](../ui/forms/components/buttons)

### Configuration

- [Model](../ui/forms/configuration/model)
- [Repository](../ui/forms/configuration/repository)
- [Entry](../ui/forms/configuration/entry)
- [Assets](../ui/forms/configuration/assets)
- [Skips](../ui/forms/configuration/skips)
- [Ajax](../ui/forms/configuration/ajax)
- [Options](../ui/forms/configuration/options)
- [Read-only](../ui/forms/configuration/read-only)
