---
title: Skips
---

# Skips

<div class="documentation__toc"></div>

## Introduction

Use the `skips` property to define fields to skip all together.

```php
protected $skips = [
    'example_field',
];
```

You can pragmatically skip fields too.

```php
$builder->setSkips(array $fieldSlugs);

$builder->skipField($fieldSlug);
```

```twig
{{ form('test', 'widgets').setSkips(['slug']).render() }}

{{ form('test', 'widgets').skipField('slug').render() }}
```
