---
title: Breadcrumbs
---

# Breadcrumbs

<div class="documentation__toc"></div>

## Introduction

The `breadcrumb` function returns an `\Anomaly\Streams\Platform\Ui\Breadcrumb\BreadcrumbCollection` instance.

By default the breadcrumb is styled for Bootstrap.

```twig
{{ breadcrumb() }}
```

You can use the same function for custom implementations.

```twig
<ol class="breadcrumb">
    {% for breadcrumb, url in breadcrumb() %}
        {% if loop.last %}
            <li class="breadcrumb-item active">{{ trans(breadcrumb) }}</li>
        {% else %}
            <li class="breadcrumb-item"><a href="{{ url }}">{{ trans(breadcrumb) }}</a></li>
        {% endif %}
    {% endfor %}
</ol>
```
